using System.Net;
using System.Text;

namespace Tarpit;

public static class ServerUtils
{
    public static async Task ProcessRequestAsync(HttpListenerContext context)
    {
        HttpListenerRequest request = context.Request;
        HttpListenerResponse response = context.Response;

        // Determine the next HTML chunk to send
        const string htmlChunk = "<html><head><title>Progressive HTML</title></head><body><h1>Starting...</h1>";

        // Set the content type
        response.ContentType = "text/html";

        // Write the HTML chunk to the response stream
        byte[] buffer = Encoding.UTF8.GetBytes(htmlChunk);
        response.ContentLength64 = buffer.Length;

        Stream outputStream = response.OutputStream;
        await outputStream.WriteAsync(buffer, 0, buffer.Length);

        // Close the output stream
        outputStream.Close();
    }
    
    
    
    
    
    
}